Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.configuration
Class WMPSDeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams
          org.deegree.ogcwebservices.wmps.configuration.WMPSDeegreeParams

All Implemented Interfaces:
  Serializable

    public class WMPSDeegreeParams

extends DeegreeParams

WMPS specific deegree parameters container class.

Version:
  2.0
Author:
  Anup Deshmukh
See Also:
  Serialized Form

Constructor Summary
`WMPSDeegreeParams(int cacheSize, int maxLifeTime, int requestTimeLimit, float mapQuality, OnlineResource defaultOnlineResource, int maxMapWidth, int maxMapHeight, boolean antiAliased, String copyRight, GazetteerParam gazetteer, URL schemaLocation, URL dtdLocation, Proxy proxy, List<String> synchList, CacheDatabase cacheDatabase, PrintMapParam printMapParam)` Create a new WMPSDeegreeParams instance.

Method Summary
`CacheDatabase` | `getCacheDatabase()`
`String` | `getCopyright()` returns a copy right note to draw at the left side of the maps bottom
`URL` | `getDTDLocation()` returns the URL where the DTD defining the OGC WMS capabilities is located
`GazetteerParam` | `getGazetteer()` returns the URL where to access the gazetteer service associated with the WMS
`float` | `getMapQuality()` returns the quality of the map for none loss-less image formats. the value ranges from 0 (lowest quality) to 1 (best quality) Default is 0.95
`int` | `getMaxLifeTime()` returns the maximum life time of the internal processes (Threads) of the deegree WMS. default is 3600 seconds.
`int` | `getMaxMapHeight()` returns the maximum map height that can be requested.
`int` | `getMaxMapWidth()` returns the maximum map width that can be requested.
`PrintMapParam` | `getPrintMapParam()`
`Proxy` | `getProxy()` returns the proxy used with the WMS.
`URL` | `getSchemaLocation()` returns the URL where the sxm schema definition of the response to an GetFeatureInfo request is located
`List<String>` | `getSynchronousTemplates()` returns a list of templated for which PrintMap requests shall be handled synchronously
`boolean` | `isAntiAliased()` returns true if a map shall be rendered with antialising

Methods inherited from class org.deegree.enterprise.DeegreeParams
`getCacheSize, getCharacterSet, getCharset, getDefaultOnlineResource, getRequestTimeLimit, setCacheSize, setCharacterSet, setDefaultOnlineResource, setRequestTimeLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMPSDeegreeParams

    public WMPSDeegreeParams(int cacheSize,
                             int maxLifeTime,
                             int requestTimeLimit,
                             float mapQuality,
                             OnlineResource defaultOnlineResource,
                             int maxMapWidth,
                             int maxMapHeight,
                             boolean antiAliased,
                             String copyRight,
                             GazetteerParam gazetteer,
                             URL schemaLocation,
                             URL dtdLocation,
                             Proxy proxy,
                             List<String> synchList,
                             CacheDatabase cacheDatabase,
                             PrintMapParam printMapParam)

  Create a new WMPSDeegreeParams instance.

  Parameters:
    `cacheSize` -
    `maxLifeTime` -
    `requestTimeLimit` -
    `mapQuality` -
    `defaultOnlineResource` -
    `maxMapWidth` -
    `maxMapHeight` -
    `antiAliased` -
    `copyRight` -
    `gazetteer` -
    `schemaLocation` -
    `dtdLocation` -
    `proxy` -
    `synchList` -
    `printMapParam` -
    `cacheDatabase` -

Method Detail

### getMaxLifeTime

    public int getMaxLifeTime()

  returns the maximum life time of the internal processes (Threads) of the deegree WMS. default is 3600 seconds. Datasources that are linked to WMS are not targeted by this value.

  Returns:
    int

### getCopyright

    public String getCopyright()

  returns a copy right note to draw at the left side of the maps bottom

  Returns:
    String

### getMapQuality

    public float getMapQuality()

  returns the quality of the map for none loss-less image formats. the value ranges from 0 (lowest quality) to 1 (best quality)

  Default is 0.95

  Returns:
    float

### getMaxMapHeight

    public int getMaxMapHeight()

  returns the maximum map height that can be requested. If the PrintMap-Parameter 'HEIGHT' extends max map width an exception shall be returned to the client.

  Default is 1000

  Returns:
    int

### getMaxMapWidth

    public int getMaxMapWidth()

  returns the maximum map width that can be requested. If the PrintMap-Parameter 'WIDTH' extends max map width an exception shall be returned to the client.

  Default is 1000

  Returns:
    int

### getGazetteer

    public GazetteerParam getGazetteer()

  returns the URL where to access the gazetteer service associated with the WMS

  Returns:
    GazetteerParam

### getSchemaLocation

    public URL getSchemaLocation()

  returns the URL where the sxm schema definition of the response to an GetFeatureInfo request is located

  Returns:
    URL

### getDTDLocation

    public URL getDTDLocation()

  returns the URL where the DTD defining the OGC WMS capabilities is located

  Returns:
    URL

### getProxy

    public Proxy getProxy()

  returns the proxy used with the WMS.

  Returns:
    Proxy

### isAntiAliased

    public boolean isAntiAliased()

  returns true if a map shall be rendered with antialising

  Returns:
    boolean

### getSynchronousTemplates

    public List<String> getSynchronousTemplates()

  returns a list of templated for which PrintMap requests shall be handled synchronously

  Returns:
    List

### getCacheDatabase

    public CacheDatabase getCacheDatabase()

  Returns:
    Returns the cacheDatabase.

### getPrintMapParam

    public PrintMapParam getPrintMapParam()

  Returns:
    Returns the printMapParam.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org